Infrastructure - Story #1739

Complete design and implementation of objectStatistics methods and messages

2011-08-30 19:02 - Dave Vieglais

Status: Closed

Priority: Normal

Assignee: Dave Vieglais
Category: Documentation

Target version: Sprint-2011.35-Block.5

Story Points:

Start date: 2011-08-31
Due date:

% Done: 100%
Estimated time: 0.00 hour

Description

Object statistics are a mn_core feature though have not yet been completely defined.

Subtasks:

Task # 1760: Remove getObjectStatistics from API docs

Task # 1750: Add ObjectStatistics structure to type schema

Task # 1751: Update GMN to match changes to getObjectStatistics
Task # 1752: Update metacat implementation of getObjectStatistics
Task # 1761: Remove getObjectStatistics from GMN

Closed
Rejected
Rejected
Rejected
Closed

History

#1 - 2011-08-31 02:11 - Dave Vieglais
- Target version set to Sprint-2011.35-Block.5

- Position set to 4

#2 - 2011-08-31 02:12 - Dave Vieglais
- Status changed from New to In Progress

- % Done changed from 0 to 90

Docs updated, remaining task to update type schema and propagate changes to services

#3 - 2011-08-31 19:24 - Dave Vieglais

Decided that this method is redundant.

Existing mechanisms such as listObjects, getLogRecords, and cn.search provide greater capabilities more efficiently.

Adding new tasks to remove from docs and implementations.

#4 - 2011-09-04 16:56 - Roger Dahl

- Status changed from In Progress to Closed

All the tasks in this story are completed.

2024-04-10

1/1



http://www.tcpdf.org

